﻿# coding: utf-8
'''
'''

import json

from ru.curs.celesta.showcase.utils import XMLJSONConverter
from common.htmlhints.htmlHint import htmlHintElement

def datapanel(context, main=None, session=None):

    data = {
        'datapanel': {
            'tab': []
        }
    }

    tab1 = {
        '@id': 1,
        '@name': u'Личные сведения',
        'element': []
    }

    personalDataCard = {
        '@id': 'personalDataCard',
        '@type': 'xforms',
        '@proc': 'medstaff.xform.personalDataCard.cardData.celesta',
        '@template':'nci/personCard.xml',
        '@hideOnLoad':'false',
        'proc': {
            '@id':'save',
            '@name':'medstaff.xform.personalDataCard.cardSave.celesta',
            '@type':'SAVE'
        }
    }
    tab1['element'].append(htmlHintElement('personal_data_datapanel'))
    tab1['element'].append(personalDataCard)
    data['datapanel']['tab'].extend([tab1])

    return XMLJSONConverter.jsonToXml(json.dumps(data))
