# coding: utf-8
'''
Created on 20.11.2015

@author: d.gulyakin
'''

import json
from nci.functions.persons import getPersonIdBySid
# from security.functions import userHasPermission
try:
    from ru.curs.showcase.core.jython import JythonDTO
except:
    from ru.curs.celesta.showcase import JythonDTO

from medstaff._medstaff_orm import student_cycleCursor

def addOpenedCycle(context, main=None, add=None, filterinfo=None, session=None, elementId=None):
    u'''Добавление цикла в открытые для просмотра циклы'''
    session = json.loads(session)["sessioncontext"]
    sid = unicode(session["sid"])
    person_id = getPersonIdBySid(context, sid)
    
    studentCycleCur = student_cycleCursor(context)
    studentCycleCur.setRange('person_id', person_id)
    studentCycleCur.setRange('cycle_id', add)
    if studentCycleCur.tryFirst():
        studentCycleCur.cycle_view_open = True
        studentCycleCur.update()
    return


def closeOpenedCycle(context, main=None, add=None, filterinfo=None, session=None, elementId=None):
    u'''Удаление цикла из открытых для просмотра циклов'''
    session = json.loads(session)["sessioncontext"]
    sid = unicode(session["sid"])
    person_id = getPersonIdBySid(context, sid)
    
    studentCycleCur = student_cycleCursor(context)
    studentCycleCur.setRange('person_id', person_id)
    studentCycleCur.setRange('cycle_id', add)
    if studentCycleCur.tryFirst():
        studentCycleCur.cycle_view_open = False
        studentCycleCur.update()
    return
